Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032285
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] C. SecuritytrivialN/A2016-02-19 10:052016-06-17 19:37
ReporteralostaleView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision46b75b28bc64
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032285: make possible to manually set a user as password expired

DescriptionFR 0031796 implements definition of a validity period for passwords since they were last modified.

On top of this, it would be useful for some cases to be able to manually set a user as having its password expired.
Steps To ReproduceUse case:
- admin creates a new user and sets a password, it also marks the user as having the password expired
- first time the user tries to log in the system with the password provided by the admin, she will be forced to change it
Proposed SolutionProject page: http://wiki.openbravo.com/wiki/Projects:Manually_set_password_as_expired [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0031796 closedjonibc Extend functionality with the option to define a day limit for the password to be changed 

-  Notes
(0085745)
hgbot (developer)
2016-04-19 14:03

Repository: erp/devel/pi
Changeset: 46b75b28bc64b531c77e004f4a98edde85b364cf
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Apr 19 13:58:01 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/46b75b28bc64b531c77e004f4a98edde85b364cf [^]

Fixed issue 32285: It is possible to manually set passwords as expired

When a user is created, now it is possible to set the password as expired manually.
This is to force the user to change it the first time he logs in.

---
M src-db/database/model/tables/AD_USER.xml
M src-db/database/model/triggers/AD_USER_EXPIRATIONPASS_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/authentication/basic/DefaultAuthenticationManager.java
M src/org/openbravo/erpCommon/businessUtility/TabAttachments_data.xsql
---
(0085771)
alostale (developer)
2016-04-20 10:08

reviewed as part of the project
(0087466)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-19 10:05 alostale New Issue
2016-02-19 10:05 alostale Assigned To => platform
2016-02-19 10:05 alostale Modules => Core
2016-02-19 10:05 alostale Triggers an Emergency Pack => No
2016-02-19 10:05 alostale Relationship added depends on 0031796
2016-02-19 10:06 alostale Status new => acknowledged
2016-02-19 10:06 alostale Target Version => 3.0PR16Q2
2016-02-26 10:03 alostale Target Version 3.0PR16Q2 => 3.0PR16Q3
2016-03-08 13:06 NaroaIriarte Assigned To platform => NaroaIriarte
2016-04-19 12:32 NaroaIriarte Status acknowledged => scheduled
2016-04-19 14:03 hgbot Checkin
2016-04-19 14:03 hgbot Note Added: 0085745
2016-04-19 14:03 hgbot Status scheduled => resolved
2016-04-19 14:03 hgbot Resolution open => fixed
2016-04-19 14:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/46b75b28bc64b531c77e004f4a98edde85b364cf [^]
2016-04-20 10:08 alostale Proposed Solution updated
2016-04-20 10:08 alostale Review Assigned To => alostale
2016-04-20 10:08 alostale Note Added: 0085771
2016-04-20 10:08 alostale Status resolved => closed
2016-04-20 10:08 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087466


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker